Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.core
Class PackageGroup

    java.lang.Object
      com.sun.tdk.signaturetest.core.PackageGroup

    public class PackageGroup

extends java.lang.Object

PackageGroup is intended to maintain a list of packages names. It provides a tool to check if given class belongs to some of the packages listed by PackageGroup, or if that class belongs to some subpackage of some of the listed packages.

Constructor Summary
`PackageGroup(boolean isSubpackagesUses)` Create empty list of packages, and decide if subpackages should be implied.

Method Summary
`void` | `addPackage(java.lang.String packageName)` Add some package `name` to `this` group.
`void` | `addPackages(java.lang.String[] packageNames)`
`boolean` | `checkName(java.lang.String className)` Check if the given class `name` belongs to some of the packages listed by `this` PackageGroup.
`boolean` | `isEmpty()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PackageGroup

    public PackageGroup(boolean isSubpackagesUses)

  Create empty list of packages, and decide if subpackages should be implied.

Method Detail

### isEmpty

    public boolean isEmpty()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### addPackage

    public void addPackage(java.lang.String packageName)

  Add some package `name` to `this` group.

### addPackages

    public void addPackages(java.lang.String[] packageNames)

### checkName

    public boolean checkName(java.lang.String className)

  Check if the given class `name` belongs to some of the packages listed by `this` PackageGroup. If `isSubpackagesUsed` policy is set, also check if that class belongs to some subpackage of some of the packages listed here.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD